cancel
Showing results for 
Search instead for 
Did you mean: 

Reading Solid Body Properties in NX9 using "NXOpen" (C#)

Experimenter
Experimenter

Hi all,

 

I need to read Solid Body Properties in NX9 using "NXOpen" (C#).

 

For example, There are 5 solid bodies in a Part file shown below, I right click on "Body (0)",

all values shown in Attributes Tab is what I want.

Capture.PNG

 

 

Is there a way for me to use NXOpen (C#) to achive this?

 

 

I'm already able to find all solid bodies(called nxSubDetail in the code) in a part file using code below.

 

 

 

foreach (NXOpen.Body nxSubDetail in nxPart.Bodies)    //nxPart is of Type NXOpen.Part
{
    //Find all Attributes of nxSubDetail Here...
}

Help of any kind is appreciated.

 

 

1 REPLY

Re: Reading Solid Body Properties in NX9 using "NXOpen" (C#)

Experimenter
Experimenter

Thanks,

 

I've found the solusion:

 

simply: 

foreach (NXOpen.NXObject.AttributeInformation nxAttribute in _nxSubDetail.GetAttributeTitlesByType(NXObject.AttributeType.Any))